Changes of Revision 64
libosmocore.spec
Changed
x
1
2
3
Name: libosmocore
4
Requires: osmocom-master
5
-Version: 1.8.0.3.96a8b
6
+Version: 1.8.0.4.6939
7
Release: 0
8
Summary: The Open Source Mobile Communications Core Library
9
License: GPL-2.0-only AND GPL-2.0-or-later AND LGPL-2.1-or-later AND AGPL-3.0-or-later
10
Group: Productivity/Telephony/Utilities
11
Url: https://osmocom.org/projects/libosmocore/wiki/Libosmocore
12
-Source: libosmocore_1.8.0.3.96a8b.tar.xz
13
+Source: libosmocore_1.8.0.4.6939.tar.xz
14
Source1: rpmlintrc
15
BuildRequires: automake >= 1.6
16
BuildRequires: libtool >= 2
17
commit_6939169de9a363221acc8266e0989df156930ab8.txt
Added
commit_96a8b559bb3a88d387b6927bd335bffb2d11b2f0.txt
Deleted
libosmocore_1.8.0.3.96a8b.dsc -> libosmocore_1.8.0.4.6939.dsc
Changed
22
1
2
Source: libosmocore
3
Binary: libosmocore, libosmocodec0, libosmocodec-doc, libosmocoding0, libosmocoding-doc, libosmocore20, libosmocore-doc, libosmogb14, libosmogb-doc, libosmogsm18, libosmogsm-doc, libosmoisdn0, libosmoisdn-doc, libosmovty9, libosmovty-doc, libosmoctrl0, libosmoctrl-doc, libosmosim2, libosmousb0, libosmocore-dev, libosmocore-utils, libosmocore-dbg
4
Architecture: any all
5
-Version: 1.8.0.3.96a8b
6
+Version: 1.8.0.4.6939
7
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
8
Homepage: https://projects.osmocom.org/projects/libosmocore
9
Standards-Version: 3.9.8
10
11
libosmovty-doc deb doc optional arch=all
12
libosmovty9 deb libs optional arch=any
13
Checksums-Sha1:
14
- 752e26de6ac36454282fc8d6d91ee560ca65b97d 1017384 libosmocore_1.8.0.3.96a8b.tar.xz
15
+ 828855fdbaa0c8d3ed1c919694a0f1ef4b60ebef 1017436 libosmocore_1.8.0.4.6939.tar.xz
16
Checksums-Sha256:
17
- 24d5785cd929e5f03668d47c4dc3de359680b2486dc75c7da90f463e8441845c 1017384 libosmocore_1.8.0.3.96a8b.tar.xz
18
+ 98961be6e5c2cf1f5d7a267857c306a173ea89ad04114b306760db071350e1e2 1017436 libosmocore_1.8.0.4.6939.tar.xz
19
Files:
20
- 4c850c02c266c6bcb5202cb3de851e07 1017384 libosmocore_1.8.0.3.96a8b.tar.xz
21
+ 8d536567e2b4e06d8ce66878ceeb9e92 1017436 libosmocore_1.8.0.4.6939.tar.xz
22
libosmocore_1.8.0.3.96a8b.tar.xz/.tarball-version -> libosmocore_1.8.0.4.6939.tar.xz/.tarball-version
Changed
4
1
2
-1.8.0.3-96a8b
3
+1.8.0.4-6939
4
libosmocore_1.8.0.4.6939.tar.xz/contrib/talloc_count.sh
Added
54
1
2
+#!/bin/sh
3
+#
4
+# Print a summary of how often each named object appears in a talloc report.
5
+#
6
+# usage:
7
+# talloc_count.sh my_talloc_report.txt
8
+# or:
9
+# osmo_interact_vty.py -p 4242 -c 'show talloc-context application full' | talloc_count.sh
10
+#
11
+# produces output like:
12
+# 1 struct foo
13
+# 1 struct log_info
14
+# 1 struct log_info_cat
15
+# 21 msgb
16
+# 1391 SCCP-SCOC(N)N
17
+# 1402 struct osmo_fsm_inst
18
+# ...
19
+
20
+f="$1"
21
+
22
+tmpdir="$(mktemp -d)"
23
+trap "rm -rf \"$tmpdir\"" EXIT
24
+
25
+# without input file, read stdin
26
+if "x$f" = "x" ; then
27
+ f="$tmpdir/input"
28
+ cat > $f
29
+fi
30
+
31
+mangled="$tmpdir/mangled"
32
+grep contains "$f" \
33
+ | sed 's/ \t*contains.*//' \
34
+ | sed 's/^ \t*//' \
35
+ | sed 's/ \t \t*/ /g' \
36
+ | grep -v '^$' \
37
+ | grep -v '^0-9\+$' \
38
+ | sed 's/0x0-9a-fA-F\+/N/g' \
39
+ | sed 's/0-9\+/N/g' \
40
+ | sort \
41
+ > "$mangled"
42
+
43
+count() {
44
+ name="$1"
45
+ nr="$(grep -Fx "$name" "$mangled" | wc -l)"
46
+ printf "%6d $name\\n" $nr
47
+}
48
+
49
+{
50
+ cat "$mangled" | uniq | while read type; do
51
+ count "$type"
52
+ done
53
+} | sort -h
54
libosmocore_1.8.0.3.96a8b.tar.xz/debian/changelog -> libosmocore_1.8.0.4.6939.tar.xz/debian/changelog
Changed
12
1
2
-libosmocore (1.8.0.3.96a8b) unstable; urgency=medium
3
+libosmocore (1.8.0.4.6939) unstable; urgency=medium
4
5
* Automatically generated changelog entry for building the Osmocom master feed
6
7
- -- Osmocom OBS scripts <info@osmocom.org> Thu, 09 Feb 2023 12:26:50 +0000
8
+ -- Osmocom OBS scripts <info@osmocom.org> Fri, 10 Feb 2023 20:47:10 +0000
9
10
libosmocore (1.8.0) unstable; urgency=medium
11
12